package com.chenyang.nse.bussiness.service.key;

import com.chenyang.nse.bussiness.entity.vo.key.TCoreKeyTypeManagementVO;
import java.lang.reflect.InvocationTargetException;
import java.util.List;
import java.util.Map;
import org.apache.thrift.TException;

public interface KeyManagerService {
   List<TCoreKeyTypeManagementVO> queryTCoreKeyTypeManagementList() throws InvocationTargetException, IllegalAccessException;

   TCoreKeyTypeManagementVO queryTCoreKeyTypeManageUsed();

   void batchUpdateIsUseStop();

   void setIsUseStart(String typeId);

   boolean saveParameter(Map<String, Object> map);

   Map<String, String> createParam(String cphpwd);

   Map<String, String> showKeyParams(String typeId);

   boolean testCallKey(String typeId) throws TException, InvocationTargetException, IllegalAccessException, NoSuchMethodException;
}
